MediaWiki:Common.css

From WikiPathways

(Difference between revisions)
Jump to: navigation, search
(New page: <pre><nowiki> - * CSS placed here will be applied to all skins: - **** ** Table formatting ****: table.wikitable, table.prettytable { margin:1em 1em 1em 0; background:...)
Current revision (20:35, 16 November 2013) (view source)
(updated bkgd color for underconstruction table rows)
 
(125 intermediate revisions not shown.)
Line 1: Line 1:
-
<pre><nowiki>
+
.helphint.redBg {
-
/** CSS placed here will be applied to all skins */
+
        border-left: 10px solid #b22222; /* Red */
-
/*****
+
background-color: #fee;  /* Pink */
-
** Table formatting
+
padding: 0.25em 0.5em;        /* 0.5em left/right */
-
*****/
+
}
-
  table.wikitable,
+
-
  table.prettytable {
+
-
      margin:1em 1em 1em 0;
+
-
      background:#F9F9F9;
+
-
      border:1px #AAA solid;
+
-
      border-collapse:collapse;
+
-
      }
+
-
  table.wikitable th, table.wikitable td,
+
body.page-Help_WikiPathways_Webservice h1.firstHeading { display:none; }
-
  table.prettytable th, table.prettytable td {
+
body.page-Help_WikiPathways_Webservice_WikiPathwaysSearch h1.firstHeading { display:none; }
-
      border:1px #AAA solid;
+
body.page-Help_WikiPathways_Webservice_AtlasMapper h1.firstHeading { display:none; }
-
      padding:0.2em;
+
body.page-Help_WikiPathways_Webservice_Taverna h1.firstHeading { display:none; }
-
      }
+
body.page-Help_WikiPathways_Webservice_Cytoscape h1.firstHeading { display:none; }
-
  table.wikitable th,
+
/* Remove after M13 release */
-
  table.prettytable th {
+
#nav, #nav ul {
-
      background:#F2F2F2;
+
padding: 0;
-
      text-align:center;
+
margin: 0;
-
      }
+
list-style: none;
 +
z-index: 10000
 +
}
-
  table.wikitable caption,
+
.notUnderConstruction { background-color: #F2D0D0; }
-
  table.prettytable caption {
+
 
-
      margin-left:inherit;
+
.tag-icons a:first-child {
-
      margin-right:inherit;
+
  margin-left: 1em;
-
      }
+
}
-
</nowiki></pre>
+
 
 +
.tag-icons img {
 +
  width: auto;
 +
  height: 1em;
 +
}
 +
 
 +
 
 +
ul#browseListBody {
 +
  list-style-image: none;
 +
  list-style-type: none;
 +
  height: 55em;
 +
}
 +
 
 +
/* infinite-item is vestigial, but a selector for the column list */
 +
ul#browseListBody li.infinite-item {
 +
  float: left;
 +
  width: 33%
 +
}
 +
 
 +
ul#browseListBody li ul {
 +
  list-style-image: none;
 +
}
 +
 
 +
ul#browseListBody li ul li {
 +
  min-height: 2em;
 +
  overflow: auto;
 +
  float: left;
 +
  width: 33%
 +
}

Current revision

.helphint.redBg {
        border-left: 10px solid #b22222; /* Red */
	background-color: #fee;  /* Pink */
	padding: 0.25em 0.5em;         /* 0.5em left/right */
}

body.page-Help_WikiPathways_Webservice h1.firstHeading { display:none; }
body.page-Help_WikiPathways_Webservice_WikiPathwaysSearch h1.firstHeading { display:none; }
body.page-Help_WikiPathways_Webservice_AtlasMapper h1.firstHeading { display:none; }
body.page-Help_WikiPathways_Webservice_Taverna h1.firstHeading { display:none; }
body.page-Help_WikiPathways_Webservice_Cytoscape h1.firstHeading { display:none; }

/* Remove after M13 release */
#nav, #nav ul {
	padding: 0;
	margin: 0;
	list-style: none;
	z-index: 10000
}

.notUnderConstruction { background-color: #F2D0D0; }

.tag-icons a:first-child {
   margin-left: 1em;
}

.tag-icons img {
   width: auto;
   height: 1em;
}


ul#browseListBody {
  list-style-image: none;
  list-style-type: none;
  height: 55em;
}

/* infinite-item is vestigial, but a selector for the column list */
ul#browseListBody li.infinite-item {
  float: left;
  width: 33%
}

ul#browseListBody li ul {
  list-style-image: none;
}

ul#browseListBody li ul li {
  min-height: 2em;
  overflow: auto;
  float: left;
  width: 33%
}
Personal tools